package cn.com.countrygarden.bi.main.dto.wcx;

import java.util.Date;

/**
 * Created by Administrator on 2018/6/19.
 */
public class WcxPrizeDto extends WcxBaseDto{
    private String prizeId; //` varchar(36) NOT NULL COMMENT '获奖表主键',
    private String prizeTitle; //` varchar(255) DEFAULT NULL COMMENT '奖项标题',
    private String prizeType; //` char(1) DEFAULT NULL COMMENT '奖项类型',
    private Long allAwardNumber; //` bigint(11) DEFAULT NULL COMMENT '总获奖人数',
    private Long allJoinNumber; //` bigint(11) DEFAULT NULL COMMENT '总参与条数',
    private Long allThumbNumber; //` bigint(11) DEFAULT NULL COMMENT '总点赞数',
    private String prizeProjectName; //` varchar(255) DEFAULT NULL COMMENT '获奖项目名称',
    private String prizeRegionName; //` varchar(255) DEFAULT NULL COMMENT '获奖区域名称',
    private Date prizeMonthDate; //` datetime DEFAULT NULL COMMENT '获奖月份',
    private Integer batchCode; //` int(8) DEFAULT NULL COMMENT '奖项批次号',
    private Date prizeOpenDate; //` datetime DEFAULT NULL COMMENT '公布时间',
    private String status; //` char(1) DEFAULT NULL COMMENT '状态(0:未启用 1:启用)',
    private Date createDate; //` datetime DEFAULT NULL COMMENT '创建时间',
    private String prizeItemId ;

    private String innId;
    private String innTitle;
    private String innContent;
    private String innType;
    private String innBaseline;
    private String innClassification;
    private String innTeamContent;
    private String innProjectName;
    private String innRegionName;
    private Long innThumbNumber;
    private String innUserId;
    private String innEmployeeName;
    private String innEmployeeHeadPicUrl;

    private String prizeUserId;
    private String prizeEmployeeName;
    private String prizeUserProject;
    private String prizeUserRegion;
    private String prizeEmployeeHeadPicUrl; // (新增)人员头像
    private Integer prizeUserInnNum; // (新增)创新数
    private Integer prizeUserThumbNum; // (新增)点赞数

    private String projectUserId;
    private String projectEmployeeName;
    private Integer projectPrizeInnNumber;
    private String projectName;
    private String projectHeadPicUrl;

    private String regionUserId;
    private String regionEmployeeName;
    private Integer regionPrizeInnNumber;
    private String regionName;
    private String regionHeadPicUrl;

    private String itemStatus; // 明细状态
    private Integer orderNo; //排序规则

    // 额外查询条件
    private Date startDate;
    private Date endDate;
    private String startDateStr;
    private String endDateStr;

    private long itemEnableNumber; // 状态-通过
    private long itemDisableNumber; // 状态-未通过
    private long itemStayNumber; // 状态-待审核
    private long itemNumber; // 总数

    public String getInnEmployeeHeadPicUrl() {
        return innEmployeeHeadPicUrl;
    }

    public void setInnEmployeeHeadPicUrl(String innEmployeeHeadPicUrl) {
        this.innEmployeeHeadPicUrl = innEmployeeHeadPicUrl;
    }

    public String getPrizeEmployeeHeadPicUrl() {
        return prizeEmployeeHeadPicUrl;
    }

    public void setPrizeEmployeeHeadPicUrl(String prizeEmployeeHeadPicUrl) {
        this.prizeEmployeeHeadPicUrl = prizeEmployeeHeadPicUrl;
    }

    public Integer getPrizeUserInnNum() {
        return prizeUserInnNum;
    }

    public void setPrizeUserInnNum(Integer prizeUserInnNum) {
        this.prizeUserInnNum = prizeUserInnNum;
    }

    public Integer getPrizeUserThumbNum() {
        return prizeUserThumbNum;
    }

    public void setPrizeUserThumbNum(Integer prizeUserThumbNum) {
        this.prizeUserThumbNum = prizeUserThumbNum;
    }

    public String getPrizeId() {
        return prizeId;
    }

    public void setPrizeId(String prizeId) {
        this.prizeId = prizeId;
    }

    public String getPrizeTitle() {
        return prizeTitle;
    }

    public void setPrizeTitle(String prizeTitle) {
        this.prizeTitle = prizeTitle;
    }

    public String getPrizeType() {
        return prizeType;
    }

    public void setPrizeType(String prizeType) {
        this.prizeType = prizeType;
    }

    public Long getAllAwardNumber() {
        return allAwardNumber;
    }

    public void setAllAwardNumber(Long allAwardNumber) {
        this.allAwardNumber = allAwardNumber;
    }

    public Long getAllJoinNumber() {
        return allJoinNumber;
    }

    public void setAllJoinNumber(Long allJoinNumber) {
        this.allJoinNumber = allJoinNumber;
    }

    public Long getAllThumbNumber() {
        return allThumbNumber;
    }

    public void setAllThumbNumber(Long allThumbNumber) {
        this.allThumbNumber = allThumbNumber;
    }

    public String getPrizeProjectName() {
        return prizeProjectName;
    }

    public void setPrizeProjectName(String prizeProjectName) {
        this.prizeProjectName = prizeProjectName;
    }

    public String getPrizeRegionName() {
        return prizeRegionName;
    }

    public void setPrizeRegionName(String prizeRegionName) {
        this.prizeRegionName = prizeRegionName;
    }

    public Date getPrizeMonthDate() {
        return prizeMonthDate;
    }

    public void setPrizeMonthDate(Date prizeMonthDate) {
        this.prizeMonthDate = prizeMonthDate;
    }

    public Integer getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(Integer batchCode) {
        this.batchCode = batchCode;
    }

    public Date getPrizeOpenDate() {
        return prizeOpenDate;
    }

    public void setPrizeOpenDate(Date prizeOpenDate) {
        this.prizeOpenDate = prizeOpenDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getPrizeItemId() {
        return prizeItemId;
    }

    public void setPrizeItemId(String prizeItemId) {
        this.prizeItemId = prizeItemId;
    }

    public String getInnId() {
        return innId;
    }

    public void setInnId(String innId) {
        this.innId = innId;
    }

    public String getInnTitle() {
        return innTitle;
    }

    public void setInnTitle(String innTitle) {
        this.innTitle = innTitle;
    }

    public String getInnContent() {
        return innContent;
    }

    public void setInnContent(String innContent) {
        this.innContent = innContent;
    }

    public String getInnType() {
        return innType;
    }

    public void setInnType(String innType) {
        this.innType = innType;
    }

    public String getInnBaseline() {
        return innBaseline;
    }

    public void setInnBaseline(String innBaseline) {
        this.innBaseline = innBaseline;
    }

    public String getInnClassification() {
        return innClassification;
    }

    public void setInnClassification(String innClassification) {
        this.innClassification = innClassification;
    }

    public String getInnTeamContent() {
        return innTeamContent;
    }

    public void setInnTeamContent(String innTeamContent) {
        this.innTeamContent = innTeamContent;
    }

    public String getInnProjectName() {
        return innProjectName;
    }

    public void setInnProjectName(String innProjectName) {
        this.innProjectName = innProjectName;
    }

    public String getInnRegionName() {
        return innRegionName;
    }

    public void setInnRegionName(String innRegionName) {
        this.innRegionName = innRegionName;
    }

    public Long getInnThumbNumber() {
        return innThumbNumber;
    }

    public void setInnThumbNumber(Long innThumbNumber) {
        this.innThumbNumber = innThumbNumber;
    }

    public String getInnUserId() {
        return innUserId;
    }

    public void setInnUserId(String innUserId) {
        this.innUserId = innUserId;
    }

    public String getInnEmployeeName() {
        return innEmployeeName;
    }

    public void setInnEmployeeName(String innEmployeeName) {
        this.innEmployeeName = innEmployeeName;
    }

    public String getPrizeUserId() {
        return prizeUserId;
    }

    public void setPrizeUserId(String prizeUserId) {
        this.prizeUserId = prizeUserId;
    }

    public String getPrizeEmployeeName() {
        return prizeEmployeeName;
    }

    public void setPrizeEmployeeName(String prizeEmployeeName) {
        this.prizeEmployeeName = prizeEmployeeName;
    }

    public String getPrizeUserProject() {
        return prizeUserProject;
    }

    public void setPrizeUserProject(String prizeUserProject) {
        this.prizeUserProject = prizeUserProject;
    }

    public String getPrizeUserRegion() {
        return prizeUserRegion;
    }

    public void setPrizeUserRegion(String prizeUserRegion) {
        this.prizeUserRegion = prizeUserRegion;
    }

    public String getProjectUserId() {
        return projectUserId;
    }

    public void setProjectUserId(String projectUserId) {
        this.projectUserId = projectUserId;
    }

    public String getProjectEmployeeName() {
        return projectEmployeeName;
    }

    public void setProjectEmployeeName(String projectEmployeeName) {
        this.projectEmployeeName = projectEmployeeName;
    }

    public Integer getProjectPrizeInnNumber() {
        return projectPrizeInnNumber;
    }

    public void setProjectPrizeInnNumber(Integer projectPrizeInnNumber) {
        this.projectPrizeInnNumber = projectPrizeInnNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectHeadPicUrl() {
        return projectHeadPicUrl;
    }

    public void setProjectHeadPicUrl(String projectHeadPicUrl) {
        this.projectHeadPicUrl = projectHeadPicUrl;
    }

    public String getRegionUserId() {
        return regionUserId;
    }

    public void setRegionUserId(String regionUserId) {
        this.regionUserId = regionUserId;
    }

    public String getRegionEmployeeName() {
        return regionEmployeeName;
    }

    public void setRegionEmployeeName(String regionEmployeeName) {
        this.regionEmployeeName = regionEmployeeName;
    }

    public Integer getRegionPrizeInnNumber() {
        return regionPrizeInnNumber;
    }

    public void setRegionPrizeInnNumber(Integer regionPrizeInnNumber) {
        this.regionPrizeInnNumber = regionPrizeInnNumber;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getRegionHeadPicUrl() {
        return regionHeadPicUrl;
    }

    public void setRegionHeadPicUrl(String regionHeadPicUrl) {
        this.regionHeadPicUrl = regionHeadPicUrl;
    }

    public String getItemStatus() {
        return itemStatus;
    }

    public void setItemStatus(String itemStatus) {
        this.itemStatus = itemStatus;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getStartDateStr() {
        return startDateStr;
    }

    public void setStartDateStr(String startDateStr) {
        this.startDateStr = startDateStr;
    }

    public String getEndDateStr() {
        return endDateStr;
    }

    public void setEndDateStr(String endDateStr) {
        this.endDateStr = endDateStr;
    }

    public long getItemEnableNumber() {
        return itemEnableNumber;
    }

    public void setItemEnableNumber(long itemEnableNumber) {
        this.itemEnableNumber = itemEnableNumber;
    }

    public long getItemDisableNumber() {
        return itemDisableNumber;
    }

    public void setItemDisableNumber(long itemDisableNumber) {
        this.itemDisableNumber = itemDisableNumber;
    }

    public long getItemStayNumber() {
        return itemStayNumber;
    }

    public void setItemStayNumber(long itemStayNumber) {
        this.itemStayNumber = itemStayNumber;
    }

    public long getItemNumber() {
        return itemNumber;
    }

    public void setItemNumber(long itemNumber) {
        this.itemNumber = itemNumber;
    }

    public Integer getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(Integer orderNo) {
        this.orderNo = orderNo;
    }
}
